﻿using System;
using System.Data;
using System.Data.SqlClient;

public class clsSqlCommandDelete
{
    public void Main()
    {
        SqlConnection thisConnection = new SqlConnection("server=(local)\\SQLEXPRESS;" + "integrated security=sspi;database=Northwind");
        //First insert some records
        //Create Command object
        SqlCommand nonqueryCommand = thisConnection.CreateCommand();

        try
        {
            // Open Connection
            thisConnection.Open();
            Console.WriteLine("Connection Opened");

            // Create INSERT statement with named parameters
            nonqueryCommand.CommandText = "INSERT  INTO Employees (FirstName, LastName) VALUES (@FirstName, @LastName)";

            // Add Parameters to Command Parameters collection
            nonqueryCommand.Parameters.Add("@FirstName", SqlDbType.VarChar, 10);
            nonqueryCommand.Parameters.Add("@LastName", SqlDbType.VarChar, 20);

            // Prepare command for repeated execution
            nonqueryCommand.Prepare();

            // Data to be inserted
            string[] names = { "Wade", "David", "Charlie" };
            for (int i = 0; i <= 2; i++)
            {
                nonqueryCommand.Parameters["@FirstName"].Value = names[i];
                nonqueryCommand.Parameters["@LastName"].Value = names[i];

                Console.WriteLine("Executing {0}", nonqueryCommand.CommandText);
                Console.WriteLine("Number of rows affected : {0}", nonqueryCommand.ExecuteNonQuery());
            }
        }
        catch (SqlException ex)
        {
            // Display error
            Console.WriteLine("Error: " + ex.ToString());
        }
        finally
        {
            // Close Connection
            thisConnection.Close();
            Console.WriteLine("Connection Closed");

        }



        try
        {
            // Open Connection
            thisConnection.Open();
            Console.WriteLine("Connection Opened");



            //Create Command objects
            SqlCommand scalarCommand = new SqlCommand("SELECT COUNT(*) FROM Employees", thisConnection);

            // Execute Scalar Query
            Console.WriteLine("Before Delete, Number of Employees = {0}", scalarCommand.ExecuteScalar());


            // Set up and execute DELETE Command
            nonqueryCommand.CommandText = "DELETE FROM Employees WHERE " + "Firstname='Wade' AND Lastname='Wade' or " + "Firstname='Charlie' AND Lastname='Charlie' or " + "Firstname='David' AND Lastname='David' ";
            Console.WriteLine("Executing {0}", nonqueryCommand.CommandText);
            Console.WriteLine("Number of rows affected : {0}", nonqueryCommand.ExecuteNonQuery());

            // Execute Scalar Query
            Console.WriteLine("After Delete, Number of Employee = {0}", scalarCommand.ExecuteScalar());
        }

        catch (SqlException ex)
        {
            // Display error
            Console.WriteLine("Error: " + ex.ToString());
        }
        finally
        {
            // Close Connection
            thisConnection.Close();
            Console.WriteLine("Connection Closed");

        }
        Console.ReadLine();
    }
}



