﻿Imports System
Imports System.Data
Imports System.Data.SqlClient

Public Class clsSqlCommandDelete
    Sub Main()
        Dim thisConnection As New SqlConnection("server=(local)\SQLEXPRESS;" & _
            "integrated security=sspi;database=Northwind")
        'First insert some records
        'Create Command object
        Dim nonqueryCommand As SqlCommand = thisConnection.CreateCommand()

        Try
            ' Open Connection
            thisConnection.Open()
            Console.WriteLine("Connection Opened")

            ' Create INSERT statement with named parameters
            nonqueryCommand.CommandText = _
               "INSERT  INTO Employees (FirstName, LastName) VALUES (@FirstName, @LastName)"

            ' Add Parameters to Command Parameters collection
            nonqueryCommand.Parameters.Add("@FirstName", SqlDbType.VarChar, 10)
            nonqueryCommand.Parameters.Add("@LastName", SqlDbType.VarChar, 20)

            ' Prepare command for repeated execution
            nonqueryCommand.Prepare()

            ' Data to be inserted
            Dim names() As String = {"Wade", "David", "Charlie"}
            For i As Integer = 0 To 2
                nonqueryCommand.Parameters("@FirstName").Value = names(i)
                nonqueryCommand.Parameters("@LastName").Value = names(i)

                Console.WriteLine("Executing {0}", _
                   nonqueryCommand.CommandText)
                Console.WriteLine("Number of rows affected : {0}", _
                   nonqueryCommand.ExecuteNonQuery())
            Next i
        Catch ex As SqlException
            ' Display error
            Console.WriteLine("Error: " & ex.ToString())
        Finally
            ' Close Connection
            thisConnection.Close()
            Console.WriteLine("Connection Closed")

        End Try



        Try
            ' Open Connection
            thisConnection.Open()
            Console.WriteLine("Connection Opened")



            'Create Command objects
            Dim scalarCommand As New SqlCommand("SELECT COUNT(*) FROM Employees", thisConnection)

            ' Execute Scalar Query
            Console.WriteLine("Before Delete, Number of Employees = {0}", _
               scalarCommand.ExecuteScalar())


            ' Set up and execute DELETE Command
            nonqueryCommand.CommandText = _
               "DELETE FROM Employees WHERE " & _
               "Firstname='Wade' AND Lastname='Wade' or " & _
               "Firstname='Charlie' AND Lastname='Charlie' or " & _
               "Firstname='David' AND Lastname='David' "
            Console.WriteLine("Executing {0}", nonqueryCommand.CommandText)
            Console.WriteLine("Number of rows affected : {0}", _
               nonqueryCommand.ExecuteNonQuery())

            ' Execute Scalar Query
            Console.WriteLine("After Delete, Number of Employee = {0}", _
               scalarCommand.ExecuteScalar())

        Catch ex As SqlException
            ' Display error
            Console.WriteLine("Error: " & ex.ToString())
        Finally
            ' Close Connection
            thisConnection.Close()
            Console.WriteLine("Connection Closed")

        End Try
        Console.ReadLine()
    End Sub
End Class
