-- SELECT AS 
-- PURPOSE: AS allows you change column name that is displayed and also allows
--          you to group several columns into one
-- SYNTAX: SELECT [ ALL | DISTINCT ] 
--			[TOP ( expression ) [PERCENT] [ WITH TIES ] ] 
--			< column1 AS displayname1, column2 AS displayname2 > 
--			[ INTO new_table ] 
--			[ FROM { <table_source> } [ ,...n ] ] 
--			[ WHERE <search_condition> AND <search_condition> ] 
--			[ <GROUP BY> ] 
--			[ HAVING < search_condition > ] 


CREATE TABLE people(
     ID          int,
     firstname   varchar (20),
     lastname    varchar (20),
     height      int )
 GO

 


 INSERT INTO people (ID, firstname, lastname, height) 
 VALUES (1,  'Paul', 'Revere', 72)
 GO
 
 INSERT INTO people (ID, firstname, lastname, height) 
 VALUES (2,  'John', 'Lennon', 69)
 GO
 
 INSERT INTO people (ID, firstname, lastname, height)
 VALUES (3,  'Steve', 'McQueen', 75)
 GO
 
 INSERT INTO people (ID, firstname, lastname, height) 
 VALUES (4,  'George', 'Washington', 65)
 GO
 
--Show table without using as
 SELECT * FROM people;
 GO
 	
-- Using AS to combine columns and to change column headings 
-- Brackets and single quotes can be used when column heading contains spaces
 SELECT firstname + ' ' + lastname AS [full name], height as 'Height Inches'
  FROM people; 
 GO

 
 drop table people;
 
 GO
