-- BETWEEN AND 
-- PURPOSE: BETWEEN sets lower and upper bounds of selected values
--          you to group several columns into one
-- SYNTAX: SELECT [ ALL | DISTINCT ] 
--			[TOP ( expression ) [PERCENT] [ WITH TIES ] ] 
--			< select_list > 
--			[ INTO new_table ] 
--			[ FROM { <table_source> } [ ,...n ] ] 
--			[ WHERE column1 BETWEEN lowerbound AND upperbound ] 
--			[ <GROUP BY> ] 
--			[ HAVING < search_condition > ] 


CREATE TABLE people(
     ID          int,
     firstname   varchar (20),
     lastname    varchar (20),
     height      int )
 GO

 


 INSERT INTO people (ID, firstname, lastname, height) 
 VALUES (1,  'Paul', 'Revere', 72)
 GO
 
 INSERT INTO people (ID, firstname, lastname, height) 
 VALUES (2,  'John', 'Lennon', 69)
 GO
 
 INSERT INTO people (ID, firstname, lastname, height)
 VALUES (3,  'Steve', 'McQueen', 75)
 GO
 
 INSERT INTO people (ID, firstname, lastname, height) 
 VALUES (4,  'George', 'Washington', 65)
 GO
 
--Show entire table
 SELECT * FROM people
 ORDER BY height;
 GO
 	
--BETWEEN set lower and upper bounds of selected values
 SELECT firstname + ' ' + lastname AS [Full Name], height as 'Height Inches'
  FROM people
  WHERE height BETWEEN 69 AND 75
  ORDER BY height; 
 GO

 
 drop table people;
 
 GO
