/* DESC example from http://idealprogrammer.com 
 PURPOSE: DESC allows you to ORDER BY a column in descending order 
          ASC (ascending is the default if you do not specify desc)
 
 
 SYNTAX: SELECT [ ALL | DISTINCT ] 
			[TOP ( expression ) [PERCENT] [ WITH TIES ] ] 
			< column1 AS displayname1, displayname2 = column_name2, column_name3 displayname3 > 
			[ INTO new_table ] 
			[ FROM { table_source } [ ,...n ] ] 
			[ WHERE search_condition AND search_condition ] 
			[ GROUP BY ] 
			[ HAVING  search_condition  ] 
			[ ORDER BY  order_expression [ ASC | DESC ] ] 
*/
 
 
CREATE TABLE people(
     ID          int,
     firstname   varchar (20),
     lastname    varchar (20),
     statecode   varchar (2),
     alive       bit,
     height      int )
 GO
 
 
 
 
 INSERT INTO people (ID, firstname, lastname, statecode, alive, height) 
 VALUES (1,  'Paul', 'Revere', 'AL', 0, 72)
 GO
 
 INSERT INTO people (ID, firstname, lastname, statecode, alive, height) 
 VALUES (2,  'John', 'Lennon', 'NY', 0, 69)
 GO
 
 INSERT INTO people (ID, firstname, lastname, statecode, alive, height)
 VALUES (3,  'Steve', 'Martin', 'GA', 1, 75)
 GO
 
 INSERT INTO people (ID, firstname, lastname, statecode, alive, height)
 VALUES (4,  'George', 'Washington', 'MA', 0, 65)
 GO
 
--Show entire table
 SELECT * FROM people;
 GO
 
-- Using AS to combine columns and to change column headings 
-- Brackets and single quotes can be used when column heading contains spaces
 SELECT firstname + ' ' + lastname AS [FULL name], height 'Height Inches',
  state = statecode  
  FROM people
  ORDER BY height DESC 
 GO
 
 
 DROP TABLE people;
 
 GO
 
 
 

