/* IS NULL example from http://idealprogrammer.com 
 PURPOSE: IS NULL returns true or false depending on whether the value of the 
          expression is null.
          
 
 SYNTAX: expression IS [NOT] NULL
 
 SELECT [ ALL | DISTINCT ] 
			[TOP ( expression ) [PERCENT] [ WITH TIES ] ] 
			 column1 AS displayname1, displayname2 = column_name2, column_name3 displayname3  
			[ INTO new_table ] 
			[ FROM { table_source } [ ,...n ] ] 
			[ WHERE test_expression IS [NOT] NULL ] 
			[ GROUP BY ] 
			[ HAVING  search_condition  ] 
			[ ORDER BY  order_expression [ ASC | DESC ] ] 
*/
 
 
CREATE TABLE people(
     ID          int,
     firstname   varchar (20),
     lastname    varchar (20),
     statecode   varchar (2),
     alive       bit,
     height      int )
 GO
 

 
 
 
 
 INSERT INTO people (ID, firstname, lastname, statecode, alive) -- height is NULL
 VALUES (1,  'Paul', 'Revere', 'AL', 0)
 GO
 
 INSERT INTO people (ID, firstname, lastname, statecode, alive, height) 
 VALUES (2,  'John', 'Lennon', 'NY', 0, 69)
 GO
 
 INSERT INTO people (ID, firstname, lastname, statecode, alive, height)
 VALUES (3,  'Steve', 'Martin', 'NY', 1, 75)
 GO
 
 INSERT INTO people (ID, firstname, lastname, statecode, alive, height)
 VALUES (4,  'George', 'Washington', 'VA', 0, 75)
 GO
 
 -- Select entire table
 SELECT 'Entire Table', * FROM people
 
 -- 1. Example of IS NULL
 SELECT 'Example #1' as Example, statecode, height  
  FROM people  
  WHERE height IS NULL
 GO
 
 -- 2. Example of IS NOT NULL
 SELECT 'Example #2' as Example, statecode, height  
  FROM people  
  WHERE height IS NOT NULL
 GO

 

 
 
 DROP TABLE people;
 
 GO
 

 
 
 
 
 

