﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;

partial class Database_ADONET_SqlCommandUpdate : System.Web.UI.Page
{

    protected void btnUpdate_Click(object sender, System.EventArgs e)
    {
        SqlConnection thisConnection = new SqlConnection(ConfigurationManager.ConnectionStrings["Northwind_ConnectionString"].ConnectionString);

        //Create Command object
        SqlCommand nonqueryCommand = thisConnection.CreateCommand();

        try
        {
            // Open Connection
            thisConnection.Open();

            // 1. Create Command
            // Sql Update Statement
            string updateSql = "UPDATE Employees " + "SET LastName = @LastName " + "WHERE FirstName = @FirstName";
            SqlCommand UpdateCmd = new SqlCommand(updateSql, thisConnection);

            // 2. Map Parameters

            UpdateCmd.Parameters.Add("@FirstName", SqlDbType.NVarChar, 10, "FirstName");

            UpdateCmd.Parameters.Add("@LastName", SqlDbType.NVarChar, 20, "LastName");


            UpdateCmd.Parameters["@FirstName"].Value = txtFirstName.Text;
            UpdateCmd.Parameters["@LastName"].Value = txtLastName.Text;

            UpdateCmd.ExecuteNonQuery();
        }

        catch (SqlException ex)
        {
            // Display error
            lblErrMsg.Text = ex.ToString();
            lblErrMsg.Visible = true;
        }

        finally
        {
            // Close Connection
            thisConnection.Close();

        }
        GridView1.DataBind();
    }

    protected void Page_Load(object sender, System.EventArgs e)
    {
        lblErrMsg.Visible = false;

    }
}

